Subject: Re: linux-next: sound tree build failure

From: Takashi Iwai <[email-masked]>
Date: Wed, 20 May 2009 16:46:45 +0200

At Thu, 21 May 2009 00:31:45 +1000,
Stephen Rothwell wrote:
> 
> Hi Takashi,
> 
> Today's linux-next build (sparc64 allmodconfig) failed like this:
> 
> sound/pci/ctxfi/cthw20k2.c:1217:3: error: #error "Don't support 8k-page!"
> 
> Caused by commit 8cc72361481f00253f1e468ade5795427386d593 ("ALSA: SB X-Fi
> driver merge").  I assume that this driver needs better Kconfig
> protection.  Maybe test for CONFIG_SPARC64_PAGE_SIZE_8KB or something.
> Does this driver support other pages sizes (16k, 64k, 256k)?

Likely not.  I'm going to fix and clean up the buffer handling of this
driver later, but first I need to get a hardware to test :)

Meanwhile, I'll add Kconfig dependency to x86 so that it won't be
built on other architectures (which haven't been tested anyway).

thanks,

Takashi